#ifndef EQ2_H
#define EQ2_H
#include <memory>
#include <ISXDK.h>

#include "LSObject.h"


using namespace std;


class EQ2 {
public:
    EQ2(const shared_ptr<LSObject> &obj) : lsObject(obj) {
    }

    string ServerName() const {
        const auto serverName = this->lsObject->GetMember("ServerName");
        return serverName.has_value() ? serverName->CharPtr : string();
    }


    // static vector<Actor> QueryActors(const string &query) {
    //     vector<Actor> actors;
    //     char *args[] = {const_cast<char *>(query.c_str())};
    //
    //     return actors;
    // }

private:
    const shared_ptr<LSObject> lsObject;
};


#endif //EQ2_H
